import React, {useEffect , Fragment , useState , useRef} from "react";
import { GetDeviceRealInfo } from "../../../../../apis/process";
import { Select  } from 'antd';

const IndicatorDevice = (props) => {
  const { onChange , value , addons} = props;
  const { deviceType } = addons.formData;
  const [options, setOptions] = useState([]);
  const [loading , setLoading] = useState(false);

  const getDeviceList = async (deviceType) => {
    setLoading(true);

    const ret = await GetDeviceRealInfo({
      userID: 0,
      pageIndex: 1,
      pageSize: 100,
      param: [{ deviceType: deviceType }],
    });
    const arr = [];

    if(ret.code === 0){
      ret.data.list.forEach(item => {
        arr.push({
          label: `${item.sName}（${item.code}）`,
          key: item.code,
          value: item.code,
          extra: item.dataList
        })
      })

    }

    setOptions(arr);
    setLoading(false);
  };


  useEffect(() => {
    if(deviceType){
      getDeviceList(deviceType);
    }

  } , [deviceType])

  return (
    <Fragment>
      <Select  options={options}
               loading={loading}
               optionFilterProp={"label"}
               onChange={(value , option) => {
                 if(value){
                   window._IndicatorDeviceExtra = option.extra;
                 }

                 onChange(value)
               }}
               value={value}
               allowClear
               virtual
               showSearch />
    </Fragment>
  )
}

export default IndicatorDevice;
